## kpim6-pimcommon 25.08.0

=== debian/changelog ===
kpim6-pimcommon (4:25.08.0-0zneon+24.04+noble+release+build35) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Sep 2025 01:23:56 +0000

kpim6-pimcommon (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:51:53 +0000

kpim6-pimcommon (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 13:05:58 +0000

kpim6-pimcommon (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:18:08 +0000

kpim6-pimcommon (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:56:19 +0000

kpim6-pimcommon (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:13:45 +0000

kpim6-pimcommon (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:44:38 +0000

kpim6-pimcommon (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:09:34 +0000

kpim6-pimcommon (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:04:18 +0000

kpim6-pimcommon (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:56:21 +0000

kpim6-pimcommon (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:20:52 +0000

kpim6-pimcommon (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:44:16 +0000

kpim6-pimcommon (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:16:17 +0000

kpim6-pimcommon (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:07:06 +0000

kpim6-pimcommon (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:50:06 +0000

kpim6-pimcommon (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:08:24 +0000

kpim6-pimcommon (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:52:16 +0000

kpim6-pimcommon (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:20:31 +0000

libkf5pimcommon (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 10:30:18 +0000

libkf5pimcommon (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:57:51 +0000

libkf5pimcommon (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 14:24:11 +0000

libkf5pimcommon (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:29:00 +0000

libkf5pimcommon (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 23:05:41 +0000

libkf5pimcommon (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:57:41 +0000

libkf5pimcommon (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 17:10:27 +0000

libkf5pimcommon (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 13:17:10 +0000

libkf5pimcommon (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:53:16 +0000

libkf5pimcommon (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:25:32 +0000

libkf5pimcommon (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:47:04 +0000

libkf5pimcommon (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:44:11 +0000

libkf5pimcommon (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:57:19 +0000

libkf5pimcommon (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 07 Mar 2022 13:31:31 +0000

libkf5pimcommon (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 12:06:44 +0000

libkf5pimcommon (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 11:14:38 +0000

libkf5pimcommon (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:35:30 +0000

libkf5pimcommon (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:24:07 +0000

libkf5pimcommon (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:09:42 +0000

libkf5pimcommon (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:59:58 +0000

libkf5pimcommon (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:27:46 +0000

libkf5pimcommon (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 13:05:11 +0000

libkf5pimcommon (4:20.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Feb 2021 11:16:17 +0000

libkf5pimcommon (4:20.12.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jan 2021 12:21:41 +0000

libkf5pimcommon (4:20.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Dec 2020 13:39:00 +0000

libkf5pimcommon (4:20.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Nov 2020 07:14:02 +0000



## kpim6-pimcommon 25.08.1

=== debian/changelog ===
kpim6-pimcommon (4:25.08.1-0zneon+24.04+noble+release+build37) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 13:39:19 +0000

kpim6-pimcommon (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:23:45 +0000

## kpim6-pimcommon 25.08.1+p24.04+vstable+git20250916.0400

=== debian/changelog ===
kpim6-pimcommon (4:25.08.1+p24.04+vstable+git20250916.0400-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 04:00:35 +0000

## kpim6-pimcommon 25.08.1+p24.04+vstable+git20250928.1338

=== debian/changelog ===
kpim6-pimcommon (4:25.08.1+p24.04+vstable+git20250928.1338-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 13:38:22 +0000

## kpim6-pimcommon 25.08.2+p24.04+vunstable+git20251013.0608

=== CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.40")

project(pimcommon VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.17.0")
set(QT_REQUIRED_VERSION "6.8.0")
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddTests)
include(ECMInstallIcons)
include(ECMAddQtDesignerPlugin)
include(ECMAddQch)
include(ECMCheckOutboundLicense)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

set(PIMCOMMON_LIB_VERSION ${PIM_VERSION})
set(LIBKDEPIM_LIB_VERSION "6.5.40")
set(KTEXTADDONS_MIN_VERSION "1.8.0")
set(KIMAP_LIB_VERSION "6.5.40")
set(KLDAP_LIB_VERSION "6.5.40")

set(AKONADICONTACT_LIB_VERSION "6.5.40")
set(AKONADI_VERSION "6.5.40")
set(AKONADI_SEARCH_VERSION "6.5.40")

find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED
        Widgets
        DBus
        Network
        Xml
)

find_package(KF6Archive ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CoreAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ItemModels ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6JobWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KCMUtils ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6NewStuff ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Purpose ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Service ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ColorScheme ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiContactWidgets ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6LdapWidgets ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
add_feature_info(
    DESIGNERPLUGIN
    ${BUILD_DESIGNERPLUGIN}
    "Build plugin for Qt Designer"
)

option(
    FORCE_DISABLE_AKONADI_SEARCH
    "Disable features and API that require akonadi-search, e.g. because xapian isn't available"
    OFF
)
if(UNIX)
    if(NOT FORCE_DISABLE_AKONADI_SEARCH)
        find_package(KPim6AkonadiSearch ${AKONADI_SEARCH_VERSION} CONFIG REQUIRED)
        set_package_properties(
            KPim6AkonadiSearch
            PROPERTIES
                DESCRIPTION
                    "The Akonadi Search libraries"
                URL
                    "https://invent.kde.org/pim/akonadi-search"
                TYPE
                    REQUIRED
                PURPOSE
                    "Provides search capabilities in KMail and Akonadi"
        )
    endif()
else()
    if(NOT FORCE_DISABLE_AKONADI_SEARCH)
        find_package(KPim6AkonadiSearch ${AKONADI_SEARCH_VERSION} CONFIG)
        set_package_properties(
            KPim6AkonadiSearch
            PROPERTIES
                DESCRIPTION
                    "The Akonadi Search libraries"
                URL
                    "https://invent.kde.org/pim/akonadi-search"
                TYPE
                    OPTIONAL
                PURPOSE
                    "Provides search capabilities in KMail and Akonadi"
        )
    endif()
endif()

if(NOT KPim6AkonadiSearch_FOUND)
    set(FORCE_DISABLE_AKONADI_SEARCH TRUE)
endif()

set(DISABLE_AKONADI_SEARCH ${FORCE_DISABLE_AKONADI_SEARCH})
configure_file(config-akonadi-search.h.in ${CMAKE_CURRENT_BINARY_DIR}/src/config-akonadi-search.h)

option(
    ENABLE_WARN_OUTDATED
    "Warn users if using an old version; if you long term supported distribution, you might want to set this to off"
    ON
)

if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
    find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
endif()

########### Targets ###########

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.18.0)

find_package(KF6TextAutoCorrectionWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextCustomEditor ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

option(OPTION_USE_PLASMA_ACTIVITIES "Activate plasma activities" ON)
if(OPTION_USE_PLASMA_ACTIVITIES)
    if(NOT WIN32 AND NOT APPLE)
        set(OPTION_USE_PLASMA_ACTIVITIES true)
    else()
        set(OPTION_USE_PLASMA_ACTIVITIES false)
    endif()
endif()
if(OPTION_USE_PLASMA_ACTIVITIES)
    if(NOT WIN32 AND NOT APPLE)
        set(PLASMAACTIVITIES_MIN_VERSION "6.1.0")
        find_package(PlasmaActivities ${PLASMAACTIVITIES_MIN_VERSION})
        set_package_properties(
            PlasmaActivities
            PROPERTIES
                DESCRIPTION
                    "Allow to compile with plasma activities"
                TYPE
                    OPTIONAL
        )
    endif()
endif()

if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.44)
    set(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT TRUE)
endif()

add_subdirectory(src)
ecm_qt_install_logging_categories(
        EXPORT PIMCOMMON
        FILE pimcommon.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)
if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

## kpim6-pimcommon 25.08.2

=== debian/changelog ===
kpim6-pimcommon (4:25.08.2-0zneon+24.04+noble+release+build41) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 22:55:39 +0000

kpim6-pimcommon (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:02:44 +0000

=== debian/control ===
Source: kpim6-pimcommon
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kcmutils-dev,
               kf6-kcodecs-dev,
               kf6-kconfig-dev,
               kf6-kcontacts-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-knewstuff-dev,
               kf6-ktextaddons-dev,
               kf6-ktexttemplate-dev,
               kf6-ktextwidgets-dev,
               kf6-kwallet-dev,
               kf6-kxmlgui-dev,
               kf6-purpose-dev,
               kf6-sonnet-dev,
               kpim6-akonadi-contacts-dev,
               kpim6-akonadi-dev,
               kpim6-akonadi-mime-dev,
               kpim6-akonadi-search-dev,
               kpim6-grantleetheme-dev,
               kpim6-kimap-dev,
               kpim6-kldap-dev,
               kpim6-kmime-dev,
               kpim6-kpimtextedit-dev,
               kpim6-libkdepim-dev,
               pkg-kde-tools-neon,
               plasma-activities-dev,
               qt6-base-dev,
               qt6-tools-dev,
               qt6-webchannel-dev,
               qt6-webengine-dev,
               reuse,
               xsltproc
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/pimcommon.git
Vcs-Browser: https://invent.kde.org/neon/kde/pimcommon
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-pimcommon
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: plasma-activities, ${misc:Depends}, ${shlibs:Depends}
Provides: libkpim6pimcommonakonadi6abi1
Replaces: libkf5pimcommon-data,
          libkf5pimcommon-plugins,
          libkf5pimcommon5,
          libkf5pimcommon5abi2,
          libkf5pimcommonakonadi5,
          libkf5pimcommonakonadi5abi1,
          libkf5pimcommonautocorrection5,
          libkpim6pimcommon-data,
          libkpim6pimcommon-plugins,
          libkpim6pimcommon6,
          libkpim6pimcommonakonadi6,
          libkpim6pimcommonakonadi6abi1,
          libkpim6pimcommonautocorrection6
Description: Common library for KDE PIM
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the shared libraries.

Package: kpim6-pimcommon-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kf6-kconfig-dev,
         kf6-kcontacts-dev,
         kf6-ktextaddons-dev,
         kf6-ktextwidgets-dev,
         kpim6-akonadi-contacts-dev,
         kpim6-akonadi-dev,
         kpim6-grantleetheme-dev,
         kpim6-kimap-dev,
         kpim6-kpimtextedit-dev,
         kpim6-libkdepim-dev,
         kpim6-pimcommon (= ${binary:Version}),
         plasma-activities-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf5pimcommon-dev, libkpim6pimcommon-dev
Description: Common library for KDE PIM - devel files
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the development files.

Package: libkpim6pimcommon6
Architecture: all
Depends: kpim6-pimcommon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6pimcommonakonadi6
Architecture: all
Depends: kpim6-pimcommon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6pimcommon6abi2
Architecture: all
Depends: kpim6-pimcommon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6pimcommonautocorrection6
Architecture: all
Depends: kpim6-pimcommon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6pimcommon-data
Architecture: all
Depends: kpim6-pimcommon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6pimcommon-dev
Architecture: all
Depends: kpim6-pimcommon-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6pimcommon-plugins
Architecture: all
Depends: kpim6-pimcommon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5pimcommon5
Architecture: all
Depends: kpim6-pimcommon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5pimcommonakonadi5
Architecture: all
Depends: kpim6-pimcommon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5pimcommon6abi1
Architecture: all
Depends: kpim6-pimcommon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5pimcommonautocorrection5
Architecture: all
Depends: kpim6-pimcommon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5pimcommon-data
Architecture: all
Depends: kpim6-pimcommon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5pimcommon-dev
Architecture: all
Depends: kpim6-pimcommon-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5pimcommon-plugins
Architecture: all
Depends: kpim6-pimcommon, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT=ON \
		-DBUILD_QCH=ON \
		-DBUILD_DESIGNERPLUGIN=ON

## kpim6-pimcommon 25.08.2+p24.04+vstable+git20251019.0754

=== debian/changelog ===
kpim6-pimcommon (4:25.08.2+p24.04+vstable+git20251019.0754-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 07:54:24 +0000

## kpim6-pimcommon 25.08.2+p24.04+vstable+git20251025.0024

=== debian/changelog ===
kpim6-pimcommon (4:25.08.2+p24.04+vstable+git20251025.0024-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 25 Oct 2025 00:24:14 +0000

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential,
         dbus-x11,
         libgl1-mesa-dri,
         xauth,
         xvfb,
         @,
         @builddeps@
Restrictions: build-needed

Tests: acc
Depends: dh-acc, exuberant-ctags, @
Restrictions: allow-stderr

## kpim6-pimcommon 25.08.2+p24.04+vunstable+git20251013.0608

=== debian/changelog ===
kpim6-pimcommon (4:25.08.2+p24.04+vunstable+git20251013.0608-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 06:08:42 +0000

## kpim6-pimcommon 25.08.2+p24.04+vunstable+git20251015.1928

=== CMakeLists.txt ===
--- 
+++ 
@@ -176,7 +176,7 @@
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.18.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)
 
 find_package(KF6TextAutoCorrectionWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
kpim6-pimcommon (4:25.08.2+p24.04+vunstable+git20251015.1928-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 19:28:16 +0000

## kpim6-pimcommon 25.08.2+p24.04+vunstable+git20251020.0623

=== debian/changelog ===
kpim6-pimcommon (4:25.08.2+p24.04+vunstable+git20251020.0623-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 06:23:43 +0000

## kpim6-pimcommon 25.08.2+p24.04+vunstable+git20251020.2345

=== debian/changelog ===
kpim6-pimcommon (4:25.08.2+p24.04+vunstable+git20251020.2345-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 23:45:23 +0000

## kpim6-pimcommon 25.08.3

=== debian/changelog ===
kpim6-pimcommon (4:25.08.3-0zneon+24.04+noble+release+build45) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:39:28 +0000

kpim6-pimcommon (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:38:35 +1000

## kpim6-pimcommon 25.08.3+p24.04+vunstable+git20251203.0419

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,12 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.40")
+set(PIM_VERSION "6.6.41")
 
 project(pimcommon VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.17.0")
-set(QT_REQUIRED_VERSION "6.8.0")
-set(CMAKE_CXX_STANDARD 20)
+set(KF_MIN_VERSION "6.19.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -58,14 +57,14 @@
 )
 
 set(PIMCOMMON_LIB_VERSION ${PIM_VERSION})
-set(LIBKDEPIM_LIB_VERSION "6.5.40")
-set(KTEXTADDONS_MIN_VERSION "1.8.0")
-set(KIMAP_LIB_VERSION "6.5.40")
-set(KLDAP_LIB_VERSION "6.5.40")
-
-set(AKONADICONTACT_LIB_VERSION "6.5.40")
-set(AKONADI_VERSION "6.5.40")
-set(AKONADI_SEARCH_VERSION "6.5.40")
+set(LIBKDEPIM_LIB_VERSION "6.6.40")
+set(KTEXTADDONS_MIN_VERSION "1.8.82")
+set(KIMAP_LIB_VERSION "6.6.40")
+set(KLDAP_LIB_VERSION "6.6.40")
+
+set(AKONADICONTACT_LIB_VERSION "6.6.40")
+set(AKONADI_VERSION "6.6.40")
+set(AKONADI_SEARCH_VERSION "6.6.40")
 
 find_package(
     Qt6
@@ -162,12 +161,6 @@
 set(DISABLE_AKONADI_SEARCH ${FORCE_DISABLE_AKONADI_SEARCH})
 configure_file(config-akonadi-search.h.in ${CMAKE_CURRENT_BINARY_DIR}/src/config-akonadi-search.h)
 
-option(
-    ENABLE_WARN_OUTDATED
-    "Warn users if using an old version; if you long term supported distribution, you might want to set this to off"
-    ON
-)
-
 if(BUILD_TESTING)
     add_definitions(-DBUILD_TESTING)
     find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
@@ -176,7 +169,7 @@
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 find_package(KF6TextAutoCorrectionWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
@@ -192,7 +185,7 @@
 endif()
 if(OPTION_USE_PLASMA_ACTIVITIES)
     if(NOT WIN32 AND NOT APPLE)
-        set(PLASMAACTIVITIES_MIN_VERSION "6.1.0")
+        set(PLASMAACTIVITIES_MIN_VERSION "6.4.0")
         find_package(PlasmaActivities ${PLASMAACTIVITIES_MIN_VERSION})
         set_package_properties(
             PlasmaActivities
@@ -205,10 +198,6 @@
     endif()
 endif()
 
-if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.44)
-    set(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT TRUE)
-endif()
-
 add_subdirectory(src)
 ecm_qt_install_logging_categories(
         EXPORT PIMCOMMON

=== src/pimcommon/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/pimcommon_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/PimCommon/
    COMPONENT Devel
)

ecm_setup_version(PROJECT VARIABLE_PREFIX PIMCOMMON
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/pimcommon_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6PimCommonConfigVersion.cmake"
    SOVERSION 6
)

macro(add_resource_iface _kcfgFile _ifaceName _className)
    kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/${_kcfgFile} ${_ifaceName})
    qt_add_dbus_interface(libpimcommon_SRCS
        ${CMAKE_CURRENT_BINARY_DIR}/${_ifaceName}.xml ${_fileName} ${_className}
    )
endmacro()

add_resource_iface(util/imapresource.kcfg org.kde.Akonadi.Imap.Settings imapresourcesettings)

add_library(KPim6PimCommon)
add_library(KPim6::PimCommon ALIAS KPim6PimCommon)
ecm_qt_declare_logging_category(KPim6PimCommon HEADER pimcommon_debug.h IDENTIFIER PIMCOMMON_LOG CATEGORY_NAME org.kde.pim.pimcommon
        DESCRIPTION "kdepim (pimcommon)"
        OLD_CATEGORY_NAMES log_pimcommon
        EXPORT PIMCOMMON
)

target_sources(
    KPim6PimCommon
    PRIVATE
        ${libpimcommon_SRCS}
        genericplugins/pluginutil.cpp
        genericplugins/genericpluginmanager.cpp
        genericplugins/genericplugin.cpp
        genericplugins/abstractgenericplugin.cpp
        genericplugins/abstractgenericplugininterface.cpp
        configureplugins/configurepluginswidget.cpp
        configureplugins/configureplugindialog.cpp
        templatewidgets/templatelistwidget.cpp
        templatewidgets/templateeditdialog.cpp
        templatewidgets/templatemanager.cpp
        widgets/renamefiledialog.cpp
        widgets/simplestringlisteditor.cpp
        widgets/customtreeview.cpp
        widgets/configureimmutablewidgetutils.cpp
        widgets/kactionmenuchangecase.cpp
        widgets/spellchecklineedit.cpp
        widgets/lineeditwithcompleterng.cpp
        widgets/customlogwidget.cpp
        customtools/customtoolsplugin.cpp
        customtools/customtoolspluginmanager.cpp
        customtools/customtoolswidgetng.cpp
        customtools/customtoolsviewinterface.cpp
        util/pimutil.cpp
        util/broadcaststatus.cpp
        shareserviceurl/shareserviceurlmanager.cpp
        network/networkmanager.cpp
        customtools/customtoolswidgetng.h
        customtools/customtoolsplugin.h
        customtools/customtoolspluginmanager.h
        customtools/customtoolsviewinterface.h
        configureplugins/configureplugindialog.h
        configureplugins/configurepluginswidget.h
        shareserviceurl/shareserviceurlmanager.h
        pimcommon_private_export.h
        network/networkmanager.h
        widgets/renamefiledialog.h
        widgets/spellchecklineedit.h
        widgets/customtreeview.h
        widgets/lineeditwithcompleterng.h
        widgets/simplestringlisteditor.h
        widgets/customlogwidget.h
        widgets/configureimmutablewidgetutils.h
        widgets/kactionmenuchangecase.h
        templatewidgets/templatemanager.h
        templatewidgets/templatelistwidget.h
        templatewidgets/templateeditdialog.h
        util/broadcaststatus.h
        util/pimutil.h
        genericplugins/genericplugin.h
        genericplugins/genericpluginmanager.h
        genericplugins/pluginutil.h
        genericplugins/abstractgenericplugininterface.h
        genericplugins/abstractgenericplugin.h
        autocorrection/widgets/lineeditwithautocorrection.h
        autocorrection/widgets/lineeditwithautocorrection.cpp
        widgets/purposemenumessagewidget.h
        widgets/purposemenumessagewidget.cpp
        widgets/purposemenuwidget.h
        widgets/purposemenuwidget.cpp
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KPim6PimCommon
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
ecm_generate_export_header(KPim6PimCommon
    BASE_NAME pimcommon
    VERSION ${PIMCOMMON_VERSION}
    DEPRECATED_BASE_VERSION 0
    USE_VERSION_HEADER
)

target_link_libraries(
    KPim6PimCommon
    PUBLIC
        Qt::Gui
        Qt::Widgets
        Qt::DBus
        KF6::KIOCore
        KF6::WidgetsAddons
        KF6::TextCustomEditor
        KF6::TextAddonsWidgets
    PRIVATE
        Qt::Network
        KF6::I18n
        KF6::XmlGui
        KF6::KIOWidgets
        KF6::ItemViews
        KF6::NewStuffCore
        KF6::NewStuffWidgets
        KF6::Purpose
        KF6::PurposeWidgets
        KF6::Codecs
        KF6::ColorScheme
)
target_link_libraries(KPim6PimCommon PUBLIC KF6::TextAutoCorrectionWidgets)

target_include_directories(KPim6PimCommon INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/PimCommon/>")

target_include_directories(
    KPim6PimCommon
    PUBLIC
        "$<BUILD_INTERFACE:${pimcommon_SOURCE_DIR}/src;${pimcommon_BINARY_DIR}/src>"
)

set_target_properties(
    KPim6PimCommon
    PROPERTIES
        VERSION
            ${PIMCOMMON_VERSION}
        SOVERSION
            ${PIMCOMMON_SOVERSION}
        EXPORT_NAME
            PimCommon
)

install(TARGETS KPim6PimCommon EXPORT KPim6PimCommonTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

if(BUILD_TESTING)
    add_subdirectory(widgets/autotests)
    add_subdirectory(shareserviceurl/autotests)
    add_subdirectory(widgets/tests)
    add_subdirectory(customtools/autotests)
    add_subdirectory(autotests)
    add_subdirectory(configureplugins/autotests)
    add_subdirectory(genericplugins/autotests)
    add_subdirectory(autocorrection/autotests)
    add_subdirectory(autocorrection/tests)
endif()

ecm_generate_headers(PimCommon_CamelCasegenericplugins_HEADERS
    HEADER_NAMES
    PluginUtil
    GenericPluginManager
    GenericPlugin
    AbstractGenericPlugin
    AbstractGenericPluginInterface
    REQUIRED_HEADERS PimCommon_genericplugins_HEADERS
    PREFIX PimCommon
    RELATIVE genericplugins
)

ecm_generate_headers(PimCommon_Camelcaseautocorrectionwidgets_HEADERS
    HEADER_NAMES
    LineEditWithAutoCorrection
    REQUIRED_HEADERS PimCommon_autocorrectionwidgets_HEADERS
    PREFIX PimCommon
    RELATIVE autocorrection/widgets/
)
ecm_generate_headers(PimCommon_CamelCasenetworkmanager_HEADERS
    HEADER_NAMES
    NetworkManager
    REQUIRED_HEADERS PimCommon_networkmanager_HEADERS
    PREFIX PimCommon
    RELATIVE network
)

ecm_generate_headers(PimCommon_CamelCase_HEADERS
    HEADER_NAMES
    PimUtil
    BroadcastStatus
    REQUIRED_HEADERS PimCommon_HEADERS
    PREFIX PimCommon
    RELATIVE util
)

ecm_generate_headers(PimCommon_Camelcaseshareserviceurl_HEADERS
    HEADER_NAMES
    ShareServiceUrlManager
    REQUIRED_HEADERS PimCommon_shareserviceurl_HEADERS
    PREFIX PimCommon
    RELATIVE shareserviceurl
)

ecm_generate_headers(PimCommon_Camelcasecustomtools_HEADERS
    HEADER_NAMES
    CustomToolsWidgetng
    CustomToolsPlugin
    CustomToolsViewInterface
    CustomToolsPluginManager
    REQUIRED_HEADERS PimCommon_customtools_HEADERS
    PREFIX PimCommon
    RELATIVE customtools
)

ecm_generate_headers(PimCommon_Camelcasetemplatelist_HEADERS
    HEADER_NAMES
    TemplateListWidget
    TemplateManager
    REQUIRED_HEADERS PimCommon_templatelist_HEADERS
    PREFIX PimCommon
    RELATIVE templatewidgets
)

ecm_generate_headers(PimCommon_Camelcasewidgets_HEADERS
    HEADER_NAMES
    CustomTreeView
    SpellCheckLineEdit
    ConfigureImmutableWidgetUtils
    RenameFileDialog
    SimpleStringListEditor
    KActionMenuChangeCase
    LineEditWithCompleterNg
    CustomLogWidget
    PurposeMenuWidget
    PurposeMenuMessageWidget
    REQUIRED_HEADERS PimCommon_widgets_HEADERS
    PREFIX PimCommon
    RELATIVE widgets
)

ecm_generate_headers(PimCommon_Camelcaseconfigureplugins_HEADERS
    HEADER_NAMES
    ConfigurePluginsWidget
    ConfigurePluginDialog
    REQUIRED_HEADERS PimCommon_configureplugins_HEADERS
    PREFIX PimCommon
    RELATIVE configureplugins
)

install(
    FILES
        ${PimCommon_Camelcaseconfigureplugins_HEADERS}
        ${PimCommon_CamelCasegenericplugins_HEADERS}
        ${PimCommon_Camelcaseautocorrectionwidgets_HEADERS}
        ${PimCommon_CamelCasenetworkmanager_HEADERS}
        ${PimCommon_Camelcaseneedupdateversionwidgets_HEADERS}
        ${PimCommon_Camelverifynewversion_HEADERS}
        ${PimCommon_CamelCase_HEADERS}
        ${PimCommon_CamelCasejob_HEADERS}
        ${PimCommon_Camelcasecustomtools_HEADERS}
        ${PimCommon_Camelcasemanagerserversidesubscription_HEADERS}
        ${PimCommon_Camelcasemigrate_HEADERS}
        ${PimCommon_Camelcaseplaintexteditor_HEADERS}
        ${PimCommon_Camelcaserichtexteditor_HEADERS}
        ${PimCommon_Camelcasescript_HEADERS}
        ${PimCommon_Camelcaseshareserviceurl_HEADERS}
        ${PimCommon_Camelcasetemplatelist_HEADERS}
        ${PimCommon_Camelcasetexteditor_commonwidget_HEADERS}
        ${PimCommon_Camelcasewidgets_HEADERS}
        ${PimCommon_Camelcasewhatsnew_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/PimCommon/PimCommon
    COMPONENT Devel
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/imapresourcesettings.h
        ${CMAKE_CURRENT_BINARY_DIR}/pimcommon_export.h
        ${PimCommon_HEADERS}
        ${PimCommon_autocorrectionwidgets_HEADERS}
        ${PimCommon_genericplugins_HEADERS}
        ${PimCommon_configureplugins_HEADERS}
        ${PimCommon_networkmanager_HEADERS}
        ${PimCommon_needupdateversionwidgets_HEADERS}
        ${PimCommon_customtools_HEADERS}
        ${PimCommon_job_HEADERS}
        ${PimCommon_managerserversidesubscription_HEADERS}
        ${PimCommon_plaintexteditor_HEADERS}
        ${PimCommon_richtexteditor_HEADERS}
        ${PimCommon_shareserviceurl_HEADERS}
        ${PimCommon_templatelist_HEADERS}
        ${PimCommon_texteditor_commonwidget_HEADERS}
        ${PimCommon_widgets_HEADERS}
        ${PimCommon_whatsnew_HEADERS}
        ${PimCommon_verifynewversion_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/PimCommon/pimcommon
    COMPONENT Devel
)

if(BUILD_DESIGNERPLUGIN)
    add_subdirectory(designer)
endif()

if(BUILD_QCH)
    ecm_add_qch(
        KPim6PimCommon_QCH
        NAME KPim6PimCommon
        BASE_NAME KPim6PimCommon
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${PimCommon_HEADERS}
        ${PimCommon_genericplugins_HEADERS}
        ${PimCommon_configureplugins_HEADERS}
        ${PimCommon_networkmanager_HEADERS}
        ${PimCommon_needupdateversionwidgets_HEADERS}
        ${PimCommon_customtools_HEADERS}
        ${PimCommon_job_HEADERS}
        ${PimCommon_managerserversidesubscription_HEADERS}
        ${PimCommon_plaintexteditor_HEADERS}
        ${PimCommon_richtexteditor_HEADERS}
        ${PimCommon_settings_HEADERS}
        ${PimCommon_shareserviceurl_HEADERS}
        ${PimCommon_storageservice_HEADERS}
        ${PimCommon_storageservicedialog_HEADERS}
        ${PimCommon_storageserviceinterface_HEADERS}
        ${PimCommon_storageservicesettings_HEADERS}
        ${PimCommon_storageservicewidgets_HEADERS}
        ${PimCommon_templatelist_HEADERS}
        ${PimCommon_texteditor_commonwidget_HEADERS}
        ${PimCommon_translator_HEADERS}
        ${PimCommon_widgets_HEADERS}
        ${PimCommon_whatsnew_HEADERS}
        #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt6Core_QCH
            Qt6Gui_QCH
            Qt6Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            PIMCOMMON_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6PimCommon")
if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6PimCommon_QCH
        FILE KPim6PimCommonQchTargets.cmake

=== debian/changelog ===
kpim6-pimcommon (4:25.08.3+p24.04+vunstable+git20251203.0419-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 04:19:13 +0000

## kpim6-pimcommon 25.08.3+p24.04+vunstable+git20251206.0904

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 project(pimcommon VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.19.0")
+set(KF_MIN_VERSION "6.20.0")
 set(QT_REQUIRED_VERSION "6.9.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
kpim6-pimcommon (4:25.08.3+p24.04+vunstable+git20251206.0904-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 09:04:56 +0000

## kpim6-pimcommon 25.08.3+p24.04+vunstable+git20251208.0418

=== CMakeLists.txt ===
--- 
+++ 
@@ -169,7 +169,7 @@
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.21.0)
 
 find_package(KF6TextAutoCorrectionWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
kpim6-pimcommon (4:25.08.3+p24.04+vunstable+git20251208.0418-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 04:18:09 +0000

## kpim6-pimcommon 25.12.0

=== debian/changelog ===
kpim6-pimcommon (4:25.12.0-0zneon+24.04+noble+release+build46) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 17:38:44 +0000

kpim6-pimcommon (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:34:35 +1000

## kpim6-pimcommon 25.12.0+p24.04+vstable+git20251222.0611

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,13 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.41")
+set(PIM_VERSION "6.6.1")
 
 project(pimcommon VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.20.0")
-set(QT_REQUIRED_VERSION "6.9.0")
+set(KF_MIN_VERSION "6.18.0")
+set(QT_REQUIRED_VERSION "6.8.0")
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -57,14 +58,14 @@
 )
 
 set(PIMCOMMON_LIB_VERSION ${PIM_VERSION})
-set(LIBKDEPIM_LIB_VERSION "6.6.40")
-set(KTEXTADDONS_MIN_VERSION "1.8.82")
-set(KIMAP_LIB_VERSION "6.6.40")
-set(KLDAP_LIB_VERSION "6.6.40")
-
-set(AKONADICONTACT_LIB_VERSION "6.6.40")
-set(AKONADI_VERSION "6.6.40")
-set(AKONADI_SEARCH_VERSION "6.6.40")
+set(LIBKDEPIM_LIB_VERSION "6.6.0")
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
+set(KIMAP_LIB_VERSION "6.6.0")
+set(KLDAP_LIB_VERSION "6.6.0")
+
+set(AKONADICONTACT_LIB_VERSION "6.6.0")
+set(AKONADI_VERSION "6.6.0")
+set(AKONADI_SEARCH_VERSION "6.6.0")
 
 find_package(
     Qt6
@@ -161,6 +162,12 @@
 set(DISABLE_AKONADI_SEARCH ${FORCE_DISABLE_AKONADI_SEARCH})
 configure_file(config-akonadi-search.h.in ${CMAKE_CURRENT_BINARY_DIR}/src/config-akonadi-search.h)
 
+option(
+    ENABLE_WARN_OUTDATED
+    "Warn users if using an old version; if you long term supported distribution, you might want to set this to off"
+    ON
+)
+
 if(BUILD_TESTING)
     add_definitions(-DBUILD_TESTING)
     find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
@@ -169,7 +176,7 @@
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.21.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 find_package(KF6TextAutoCorrectionWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
@@ -185,7 +192,7 @@
 endif()
 if(OPTION_USE_PLASMA_ACTIVITIES)
     if(NOT WIN32 AND NOT APPLE)
-        set(PLASMAACTIVITIES_MIN_VERSION "6.4.0")
+        set(PLASMAACTIVITIES_MIN_VERSION "6.1.0")
         find_package(PlasmaActivities ${PLASMAACTIVITIES_MIN_VERSION})
         set_package_properties(
             PlasmaActivities
@@ -198,6 +205,10 @@
     endif()
 endif()
 
+if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.44)
+    set(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT TRUE)
+endif()
+
 add_subdirectory(src)
 ecm_qt_install_logging_categories(
         EXPORT PIMCOMMON

=== debian/changelog ===
kpim6-pimcommon (4:25.12.0+p24.04+vstable+git20251222.0611-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Dec 2025 06:11:57 +0000

## kpim6-pimcommon 25.12.0+p24.04+vstable+git20251231.0350

=== debian/changelog ===
kpim6-pimcommon (4:25.12.0+p24.04+vstable+git20251231.0350-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:50:52 +0000
